# Smart FAQ Chatbot

**Smart FAQ Chatbot** is a Drupal module that brings AI-powered assistance to your website using Google’s Gemini API. It answers user questions based strictly on your site content, such as nodes of type `project_proposal`, and displays results in a clean, chat-style block.

---

## 🚀 Introduction

This module enables a dynamic, AI-powered chatbot interface on your Drupal site. Visitors can ask questions filtered by content type, taxonomy term, or product type, and the AI answers using only the internal site content as context.

It’s ideal for project portfolios, product catalogs, or institutional knowledge bases, where content changes frequently and users need precise, context-aware answers.

---

## ✅ Features

- AI chatbot powered by Google Gemini (via Generative Language API).
- Grounded, context-aware answers based on node content only.
- Block-based UI for flexible placement.
- `<details><summary>`-style expandable list of recent questions and answers.
- Admin configuration for prompt instructions, feature toggles, and site branding.
- Supports filtering by:
  - Content Type (e.g., Project, Article)
  - Taxonomy Term (e.g., Industry, Topic)
  - Product Type (for Commerce)

---

## 🧩 Requirements

- **Drupal 10 or 11**
- Valid **Google Gemini API Key**: https://ai.google.dev
- Content Type: `project_proposal` or similar with useful fields such as `field_project_description`

---

## ⚙️ Installation

Install the module via Composer (optional) or upload manually.

```bash
drush en smart_faq_chatbot
